org.apache.solr.common

## Interface MapSerializable

All Known Subinterfaces:
  MapWriter

All Known Implementing Classes:
  AppendedSolrParams, BiJoinStream, CalculatorStream, CartesianProductStream, CellStream, CloudSolrStream, CommitStream, ComplementStream, DaemonStream, DefaultSolrParams, EchoStream, EvalStream, ExceptionStream, ExecutorStream, Explanation, FacetStream, FeaturesSelectionStream, FetchStream, GatherNodesStream, GetStream, HashJoinStream, HavingStream, InnerJoinStream, IntersectStream, JDBCStream, JoinStream, LeftOuterJoinStream, LetStream, ListStream, MapSolrParams, MergeStream, ModelStream, ModifiableSolrParams, MultiMapSolrParams, NullStream, OuterHashJoinStream, ParallelStream, PriorityStream, PushBackStream, RandomStream, RankStream, ReducerStream, RegressionEvaluator.RegressionTuple, RequiredSolrParams, RollupStream, ScoreNodesStream, SelectStream, ShortestPathStream, ShuffleStream, SignificantTermsStream, SolrParams, SolrQuery, SolrStream, SortStream, StatsStream, StreamExplanation, TextLogitStream, TextLogitStream.TermsStream, TimeSeriesStream, TopicStream, Tuple, TupleStream, TupStream, UniqueStream, UpdateStream

    public interface MapSerializable

This is to facilitate just in time creation of objects before writing it to the response.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map` `toMap(Map<String,Object> map)` Use the passed map to minimize object creation.

### Method Detail

#### toMap

    Map toMap(Map<String,Object> map)

Use the passed map to minimize object creation. Do not keep a reference to the passed map and reuse it. it may be reused by the framework